-- ShowMoney
-- by efindel@gmail.com

function ShowMoney_OnEvent()
  -- we only register for one event, so no need to check which it is
  local copper, silver, gold

  copper = GetMoney()
  gold = floor(copper / 10000)
  silver = floor((copper / 100) % 100)
  copper = copper % 100

  if gold > 0 then
    ShowMoneyFrameGold:SetText("|cFFFFFF00"..gold.."|r|TInterface\\MONEYFRAME\\UI-GoldIcon:0|t\n")
  else
    ShowMoneyFrameGold:SetText("")
  end

  if silver > 0 then
    ShowMoneyFrameSilver:SetText("|cFF999999"..silver.."|r|TInterface\\MONEYFRAME\\UI-SilverIcon:0|t\n")
  else
    ShowMoneyFrameSilver:SetText("")
  end

  if copper > 0 then
    ShowMoneyFrameCopper:SetText("|cFFB87333"..copper.."|TInterface\\MONEYFRAME\\UI-CopperIcon:0|t")
  else
    ShowMoneyFrameCopper:SetText("")
  end

end

ShowMoneyFrame:SetScript("OnEvent", ShowMoney_OnEvent)
ShowMoneyFrame:RegisterEvent("PLAYER_ENTERING_WORLD")
ShowMoneyFrame:RegisterEvent("PLAYER_MONEY")